#pragma hdrstop
#pragma argsused
#include "WTC3P_C.C";
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
//    
void PRINT_MAS(pcomplex P) {
    integer i,j;
    for (i=0; i<P.n; i++) {
     for (j=0; j<P.m; j++)
      printf("id[%d][%d]=%5.5f+i*%5.5f\n",i,j,P.Mas[i][j].RE,P.Mas[i][j].IM);
    }
}
int main()
{
        pcomplex M,Res;
        integer i,j,n,m,p1,p2;
        m=8;
        n=8;
        p1=CompSh_MAX_ITER(m); //   
        p2=CompSh_MAX_ITER(n); //   
        M=SET_PMAS(n,m);    // 
        //  :
        randomize();
        for(i=0; i<n; i++)
         for(j=0; j<m; j++)
          M.Mas[i][j]=SET_ELEM(i*j,cos(j)*i);

        PRINT_MAS(M);
        printf("*****Kol-vo iteracij p1=%d*****\n",p1);
        printf("*****Kol-vo iteracij p2=%d*****\n",p2);
        printf("*****FWT*****\n");
        Res=WTC3P_C(M,p1,p2,1);  //  
        PRINT_MAS(Res);
        printf("*****IFWT*****\n");
        Res=WTC3P_C(Res,p1,p2,-1); //  
        PRINT_MAS(Res);
        getch();
        return 0;
}
//---------------------------------------------------------------------------
